Discussion:
[nova-lxd plugin]: Installation problem on Ubuntu 16.04 with LXD 3.4
(too old to reply)
Martin Bobák
2018-08-30 12:08:42 UTC
Permalink
Hi all,

what is a recommended way to install the nova-lxd plugin?

I deployed OpenStack Queens (and Pike out of curiosity) at Ubuntu 16.04
(since Ubuntu 18.04 haven't been supported by Queens officially yet)
with LXD 3.4 by devstack local.conf from
https://github.com/openstack/nova-lxd/blob/master/devstack/local.conf.sample.
I have found out two ways how to install the nova-lxd plugin:

1. *allowing the nova-lxd plugin during installation* (by including a
following line enable_plugin nova-lxd
https://git.openstack.org/openstack/nova-lxd into a devstack
local.conf). However, this line causes a following compilation error:

/ERROR:root:Error parsing TypeError: super() argument 1 must be
type, not None//
//    error in setup command: Error parsing
/tmp/pip-build-Sksse4/pylxd/setup.cfg: TypeError: super() argument 1
must be type, not None//
//Command "python setup.py egg_info" failed with error code 1 in
/tmp/pip-build-Sksse4/pylxd///
/
2. *through cloud-archive repo.* Since, I am not able to see nova-lxd
package directly (I tried many repos, but each of attempts ended up
with the same result). Thus, I installed following packages:
nova-compute-lxd, python-nova-lxd, and python-nova.lxd. However,
this causes two types of errors:
* OpenStack Pike -> series of serious errors in the *horizon
module*. The web interface isn't able to connect to the other
modules properly. I got following errors:/

Error: Unable to retrieve the extensions.
/
/Error: //Unable to retrieve the extensions./
//
/Error: //Unable to retrieve the extensions./
//
/Error: //Unable to retrieve the extensions./
//
/Error: //Unable to retrieve the extensions./
//
/Error: //Unable to retrieve the flavours./
//
/Error: //Unable to retrieve the limits./
//
/Error: //Unable to retrieve the availability zones./
//
/Error: //Unable to retrieve the keypairs./
//
/Error: //Unable to retrieve the extensions./
//
///<http://147.213.65.122/dashboard/project/instances/#>//Error:
//Unable to retrieve instances.
.....

/
*
OpenStack Queens -> In another case the *keystone module* was
undiscovered:/

Failed to discover available identity versions when contacting
http://127.0.0.1/identity/v3. Attempting to parse version from
URL.//
Could not determine a suitable URL for the plugin/

Also installations from devstack are pointing on a bad repo branch by
default (Pika installation on Octa repo, Queens installation on Pika repo).

Thank you for any help,
Martin
--
Martin Bobák, PhD.
Researcher
Institute of Informatics
Slovak Academy of Sciences
Dubravska cesta 9, SK-845 07 Bratislava, Slovakia
Room: 311, Phone: +421 (0)2 5941-1278
E-mail:***@savba.sk
URL:http://www.ui.sav.sk/w/odd/pdip/
LinkedIn:https://www.linkedin.com/in/martin-bobak/
Continue reading on narkive:
Loading...